## pinentry 1.1.1

=== debian/changelog ===
pinentry (1.1.1-1build2) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 24 Mar 2022 17:31:21 +0100

pinentry (1.1.1-1build1) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:22:18 +0200

pinentry (1.1.1-1) experimental; urgency=medium

  * new upstream release 1.1.1
  * dh 13 already does --fail-missing by default
  * drop --as-needed linking flag, bullseye does this by default
  * move to debian/sid branch for packaging
  * update upstream signing keys
  * drop patches already upstream
  * standards-version: bump to 4.5.1 (no changes needed)
  * refresh patches
  * avoid rpath for pinentry-qt
  * clean up use of pkg-config for EFL pinentry
  * avoid trying to build pinentry-efl

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 17 Feb 2021 15:43:06 -0500
