=== debian/control ===
Source: pinentry
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GnuPG Maintainers <pkg-gnupg-maint@lists.alioth.debian.org>
Uploaders:
 Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
Build-Depends:
 debhelper-compat (= 13),
 libassuan-dev (>= 2.1.0),
 libfltk1.3-dev,
 libgcr-3-dev,
 libglib2.0-dev (>= 2.15.5),
 libgpg-error-dev (>= 1.16),
 libgtk2.0-dev (>= 2.4.0),
 libncurses5-dev,
 libncursesw5-dev,
 libsecret-1-dev,
 m4,
 pkg-config,
 qtbase5-dev,
 texinfo,
Standards-Version: 4.5.1
Homepage: https://www.gnupg.org/related_software/pinentry/
Vcs-Git: https://salsa.debian.org/debian/pinentry.git
Vcs-Browser: https://salsa.debian.org/debian/pinentry
Rules-Requires-Root: no

Package: pinentry-curses
Architecture: any
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 pinentry-doc,
Provides:
 pinentry,
Enhances:
 gnupg-agent,
Description: curses-based PIN or pass-phrase entry dialog for GnuPG
 This package contains a program that allows for secure entry of PINs or
 pass phrases.  That means it tries to take care that the entered
 information is not swapped to disk or temporarily stored anywhere.
 This functionality is particularly useful for entering pass phrases
 when using encryption software such as GnuPG or e-mail clients using
 the same.  It uses an open protocol and is therefore not tied to
 particular software.
 .
 The program contained in this package implements a PIN entry dialog
 using the curses tool kit, meaning that it is useful for users
 working in text mode without the X Window System.  There are sibling
 packages that implement PIN entry dialogs that use an X tool kit.  If
 you install any of the graphical packages then this package is not
 necessary because the sibling packages automatically fall back to
 text mode if X is not active.

Package: pinentry-tty
Architecture: any
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 pinentry-doc,
Provides:
 pinentry,
Enhances:
 gnupg-agent,
Description: minimal dumb-terminal PIN or pass-phrase entry for GnuPG
 This package contains a program that allows for secure entry of PINs or
 pass phrases.  That means it tries to take care that the entered
 information is not swapped to disk or temporarily stored anywhere.
 This functionality is particularly useful for entering pass phrases
 when using encryption software such as GnuPG or e-mail clients using
 the same.  It uses an open protocol and is therefore not tied to
 particular software.
 .
 The program contained in this package implements a PIN entry prompt
 that interacts directly with the controlling terminal.  It has
 minimal dependencies, meaning that it is useful for users working
 with dumb terminals or similarly constrained environments.  There are
 sibling packages that implement PIN entry dialogs that use curses for
 friendlier text-mode inputs on non-dumb terminals, and other sibling
 packages that provide PIN entry dialogs using an X tool kit.

Package: pinentry-qt
Architecture: any
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 pinentry-doc,
Provides:
 pinentry,
 pinentry-x11,
Enhances:
 gnupg-agent,
Description: Qt-based PIN or pass-phrase entry dialog for GnuPG
 This package contains a program that allows for entry of PINs or pass
 phrases.  It is useful for entering pass phrases when using encryption
 software such as GnuPG or e-mail clients using the same.  It uses an open
 protocol and is therefore not tied to particular software.
 .
 The program contained in this package implements a PIN entry dialog
 using the Qt tool kit, so it is especially suitable for users of KDE.
 If the X Window System is not active then an alternative text-mode
 dialog will be used.  There are sibling packages that implement PIN
 entry dialogs using other tool kits.

Package: pinentry-gtk2
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 pinentry-doc,
Provides:
 pinentry,
 pinentry-x11,
Enhances:
 gnupg-agent,
Description: GTK+-2-based PIN or pass-phrase entry dialog for GnuPG
 This package contains a program that allows for secure entry of PINs or
 pass phrases.  That means it tries to take care that the entered
 information is not swapped to disk or temporarily stored anywhere.
 This functionality is particularly useful for entering pass phrases
 when using encryption software such as GnuPG or e-mail clients using
 the same.  It uses an open protocol and is therefore not tied to
 particular software.
 .
 The program contained in this package implements a PIN entry dialog
 using the GTK+ tool kit version 2.  If the X Window System is not
 active then an alternative text-mode dialog will be used.  There are
 sibling packages that implement PIN entry dialogs using other tool
 kits.

Package: pinentry-fltk
Architecture: any
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 pinentry-doc,
Provides:
 pinentry,
 pinentry-x11,
Enhances:
 gnupg-agent,
Description: FLTK-based PIN or pass-phrase entry dialog for GnuPG
 This package contains a program that allows for secure entry of PINs or
 pass phrases.  That means it tries to take care that the entered
 information is not swapped to disk or temporarily stored anywhere.
 This functionality is particularly useful for entering pass phrases
 when using encryption software such as GnuPG or e-mail clients using
 the same.  It uses an open protocol and is therefore not tied to
 particular software.
 .
 The program contained in this package implements a PIN entry dialog
 using the Fast Light Toolkit version 1.3.  If the X Window System is
 not active then an alternative text-mode dialog will be used.  There
 are sibling packages that implement PIN entry dialogs using other
 tool kits.

Package: pinentry-gnome3
Architecture: any
Multi-Arch: foreign
Depends:
 gcr,
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 pinentry-doc,
Provides:
 pinentry,
 pinentry-x11,
Recommends:
 dbus-user-session,
Enhances:
 gnupg-agent,
Description: GNOME 3 PIN or pass-phrase entry dialog for GnuPG
 This package contains a program that allows for secure entry of PINs or
 pass phrases.  That means it tries to take care that the entered
 information is not swapped to disk or temporarily stored anywhere.
 This functionality is particularly useful for entering pass phrases
 when using encryption software such as GnuPG or e-mail clients using
 the same.  It uses an open protocol and is therefore not tied to
 particular software.
 .
 The program contained in this package implements a PIN entry dialog
 designed for use with GNOME 3.  It tries to follow the GNOME Human
 Interface Guidelines as much as possible.  If the X Window System is
 not active then an alternative text-mode dialog will be used.  There
 are sibling packages that implement PIN entry dialogs using other
 tool kits.

Package: pinentry-doc
Section: doc
Multi-Arch: foreign
Architecture: all
Depends:
 ${misc:Depends},
Suggests:
 pinentry-curses,
 pinentry-gnome3,
 pinentry-gtk2,
 pinentry-qt4,
Description: documentation for pinentry packages
 This package contains the documentation for the pinentry packages,
 a suite of programs that allow secure entry of PINs or pass phrases.
 If you have one of the pinentry packages installed then you may want
 to install this package as well, but the documentation mostly concerns
 the internal protocol and is therefore not necessary for the casual
 user.
