## pinentry 1.2.0

=== debian/changelog ===
pinentry (1.2.0-2ubuntu1) kinetic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't build the Qt5-based pinentry on i386.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 26 Jun 2022 22:11:30 -0700

pinentry (1.2.0-2) unstable; urgency=medium

  * Fix --lc-ctype in manpages (Closes: #979412)
  * wrap-and-sort -ast
  * qt: fix floating dialog under sway (Closes: #1013318)
  * Standards-Version: bump to 4.6.1 (no changes needed).

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 24 Jun 2022 22:38:56 -0400

pinentry (1.2.0-1ubuntu1) kinetic; urgency=medium

  * Don't build the Qt5-based pinentry on i386.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 19 May 2022 15:48:36 +0000

pinentry (1.2.0-1) unstable; urgency=medium

  * New upstream release to unstable
  * d/gbp.conf: use DEP-14 branch naming (return to unstable)
  * standards version: bump to 4.6.0 (no changes needed)
  * ensure qt5 works on wayland
  * refresh version info patch
  * Drop fix for rpath, fixed upstream
  * drop tweaks for EFL configuration check

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 28 Apr 2022 08:33:01 -0400
