=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,11 @@
 export QT_SELECT
 SHARED_CONFIGS = --disable-rpath --without-libcap --disable-pinentry-emacs --disable-inside-emacs --enable-fallback-curses --disable-pinentry-tqt --disable-pinentry-efl
 export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
+
+DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
+ifneq ($(DEB_HOST_ARCH), i386)
+   ENABLE_QT = --enable-pinentry-qt
+endif
 
 %:
 	dh $@
@@ -13,7 +18,7 @@
 		$(SHARED_CONFIGS) --disable-libsecret \
 		--enable-pinentry-tty \
 		--enable-pinentry-curses \
-		--enable-pinentry-qt \
+		$(ENABLE_QT) \
 		--enable-pinentry-fltk \
 		--disable-pinentry-gtk2 \
 		--disable-pinentry-gnome3
