## pinentry 1.2.1

=== debian/changelog ===
pinentry (1.2.1-3ubuntu5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 16:59:39 +0000

pinentry (1.2.1-3ubuntu4) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:24:29 +0000

pinentry (1.2.1-3ubuntu3) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 23:28:16 +0000

pinentry (1.2.1-3ubuntu2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 06:39:37 +0000

pinentry (1.2.1-3ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't build the Qt5-based pinentry on i386.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 17 Nov 2023 13:11:55 -0800

pinentry (1.2.1-3) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 05 Nov 2023 13:02:05 +0100

pinentry (1.2.1-2) experimental; urgency=medium

  * Team upload.
  * Add pkg.pinentry.onlytty Build-Profile to ease bootstrapping.
    Closes: #1055238
  * [lintian] Build-Depend on libncurses-dev instead of transition packages
    libncurses(w)5-dev.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 04 Nov 2023 18:10:26 +0100

pinentry (1.2.1-1ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't build the Qt5-based pinentry on i386.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 07 Nov 2022 13:56:44 -0800

pinentry (1.2.1-1) unstable; urgency=medium

  * new upstream release
  * ensure that qt4 remains disabled
  * remove patches/0003-qt-fix-floating-dialog-under-sway.patch
  * pinentry-gtk2: drop stale NEWS entry (see #1021502)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 18 Oct 2022 10:52:33 -0400
