=== debian/control ===
--- 
+++ 
@@ -8,19 +8,19 @@
 Build-Depends:
  debhelper-compat (= 13),
  libassuan-dev (>= 2.1.0),
- libfltk1.3-dev,
- libgcr-3-dev,
- libglib2.0-dev (>= 2.15.5),
+ libfltk1.3-dev <!pkg.pinentry.onlytty>,
+ libgcr-3-dev <!pkg.pinentry.onlytty>,
+ libglib2.0-dev (>= 2.15.5) <!pkg.pinentry.onlytty>,
  libgpg-error-dev (>= 1.16),
- libgtk2.0-dev (>= 2.4.0),
- libncurses5-dev,
- libncursesw5-dev,
- libsecret-1-dev,
+ libgtk2.0-dev (>= 2.4.0) <!pkg.pinentry.onlytty>,
+ libncurses-dev <!pkg.pinentry.onlytty>,
+ libqt5waylandclient5-dev [!i386] <!pkg.pinentry.onlytty>,
+ libsecret-1-dev <!pkg.pinentry.onlytty>,
  m4,
  pkg-config,
- qtbase5-dev,
+ qtbase5-dev <!pkg.pinentry.onlytty>,
  texinfo,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Homepage: https://www.gnupg.org/related_software/pinentry/
 Vcs-Git: https://salsa.debian.org/debian/pinentry.git
 Vcs-Browser: https://salsa.debian.org/debian/pinentry
@@ -29,6 +29,7 @@
 Package: pinentry-curses
 Architecture: any
 Multi-Arch: foreign
+Build-Profiles: <!pkg.pinentry.onlytty>
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
@@ -87,6 +88,7 @@
 Package: pinentry-qt
 Architecture: any
 Multi-Arch: foreign
+Build-Profiles: <!pkg.pinentry.onlytty>
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
@@ -111,6 +113,7 @@
 
 Package: pinentry-gtk2
 Architecture: any
+Build-Profiles: <!pkg.pinentry.onlytty>
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
@@ -139,6 +142,7 @@
 Package: pinentry-fltk
 Architecture: any
 Multi-Arch: foreign
+Build-Profiles: <!pkg.pinentry.onlytty>
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
@@ -167,6 +171,7 @@
 Package: pinentry-gnome3
 Architecture: any
 Multi-Arch: foreign
+Build-Profiles: <!pkg.pinentry.onlytty>
 Depends:
  gcr,
  ${misc:Depends},
@@ -204,9 +209,10 @@
  ${misc:Depends},
 Suggests:
  pinentry-curses,
+ pinentry-fltk,
  pinentry-gnome3,
  pinentry-gtk2,
- pinentry-qt4,
+ pinentry-qt,
 Description: documentation for pinentry packages
  This package contains the documentation for the pinentry packages,
  a suite of programs that allow secure entry of PINs or pass phrases.
