## pinentry 1.3.1

=== debian/changelog ===
pinentry (1.3.1-0ubuntu2) plucky; urgency=medium

  * d/control: Don't build the Qt-based pinentry on i386 (LP: #2089005):
    - Only build pinentry-qt on amd64, arm64, armhf, s390x, ppc64el, riscv64.
    - Remove Build-Depends qt6-base-dev, libkf6guiaddons-dev 
      and libkf6windowsystem-dev on i386.

 -- Dominik Viererbe <dominik.viererbe@canonical.com>  Tue, 19 Nov 2024 11:56:40 +0200

pinentry (1.3.1-0ubuntu1) plucky; urgency=medium

  * New upstream release.
    - Switch pinentry-qt to Qt 6.
  * Merge from Debian Unstable. Remaining changes:
    - Don't build the Qt-based pinentry on i386.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 20 Oct 2024 17:52:35 -0500

pinentry (1.2.1-4) unstable; urgency=medium

  * Add myself to uploaders.
  * Delete outdated m4/libassuan.m4 to allow building against libassuan 3.

 -- Andreas Metzler <ametzler@debian.org>  Mon, 26 Aug 2024 18:24:37 +0200
