=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 XSBC-Original-Maintainer: Debian GnuPG Maintainers <pkg-gnupg-maint@lists.alioth.debian.org>
 Uploaders:
  Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
+ Andreas Metzler <ametzler@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
  libassuan-dev (>= 2.1.0),
@@ -13,12 +14,14 @@
  libglib2.0-dev (>= 2.15.5) <!pkg.pinentry.onlytty>,
  libgpg-error-dev (>= 1.16),
  libgtk2.0-dev (>= 2.4.0) <!pkg.pinentry.onlytty>,
+ libkf6guiaddons-dev [!i386] <!pkg.pinentry.onlytty>,
+ libkf6windowsystem-dev [!i386] <!pkg.pinentry.onlytty>,
  libncurses-dev <!pkg.pinentry.onlytty>,
- libqt5waylandclient5-dev [!i386] <!pkg.pinentry.onlytty>,
  libsecret-1-dev <!pkg.pinentry.onlytty>,
  m4,
- pkg-config,
- qtbase5-dev <!pkg.pinentry.onlytty>,
+ pkgconf,
+ qt6-base-dev (>= 6.4.0) [!i386] <!pkg.pinentry.onlytty>,
+ qt6-wayland-dev (>= 6.4.0) [!i386] <!pkg.pinentry.onlytty>,
  texinfo,
 Standards-Version: 4.6.2
 Homepage: https://www.gnupg.org/related_software/pinentry/
@@ -86,7 +89,7 @@
  packages that provide PIN entry dialogs using an X tool kit.
 
 Package: pinentry-qt
-Architecture: any
+Architecture: amd64 arm64 armhf s390x ppc64el riscv64
 Multi-Arch: foreign
 Build-Profiles: <!pkg.pinentry.onlytty>
 Depends:
