=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-QT_SELECT = qt5
+QT_SELECT = qt6
 export QT_SELECT
 SHARED_CONFIGS = --disable-rpath --without-libcap --disable-pinentry-emacs --disable-inside-emacs --disable-pinentry-tqt --disable-pinentry-efl
 export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
@@ -31,6 +31,7 @@
 		--enable-pinentry-tty \
 		$(EN_DISABLE_FRONTENDS) \
 		--disable-pinentry-qt4 \
+		--disable-pinentry-qt5 \
 		--disable-pinentry-gtk2 \
 		--disable-pinentry-gnome3
 ifeq (,$(filter pkg.pinentry.onlytty,$(DEB_BUILD_PROFILES)))
@@ -40,6 +41,7 @@
 		--disable-pinentry-curses \
 		--disable-pinentry-qt \
 		--disable-pinentry-qt4 \
+		--disable-pinentry-qt5 \
 		--disable-pinentry-fltk \
 		--enable-fallback-curses \
 		--enable-pinentry-gtk2 \
@@ -57,8 +59,5 @@
 	dh_auto_build --builddirectory=build-libsecret
 endif
 
-override_dh_auto_clean:
-	rm -rf build-libsecret build-lib-no-secret
-
 override_dh_installdocs:
 	dh_installdocs -O--builddirectory=build-no-libsecret -A NEWS AUTHORS
