## pinentry 1.3.2

=== debian/changelog ===
pinentry (1.3.2-3ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable (LP: #2130061). Remaining changes:
    - d/{control,rules}: don't build pinentry-qt on i386
  * Dropped previously undocumented changes, as they aren't needed:
    - d/control: Set minimum version of libassuan-dev
    - d/control: Set Standards-Version to 4.6.2
  * Dropped previously undocumented patch as it was upstreamed:
    - d/p/0006-use-light-icons-on-dark-mode-qt.patch

 -- Ural Tunaboyu <ural.tunaboyu@canonical.com>  Fri, 31 Oct 2025 13:24:52 +0300

pinentry (1.3.2-3) unstable; urgency=medium

  * Really upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Mon, 11 Aug 2025 18:01:04 +0200

pinentry (1.3.2-2) experimental; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Mon, 11 Aug 2025 14:27:06 +0200

pinentry (1.3.2-1) experimental; urgency=low

  * New upstream version.
  * Drop unneeded patch (outdated m4/libassuan.m4).
  * Bump Standards-Version
  * Update debian/copyright.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 02 Aug 2025 13:29:42 +0200

pinentry (1.3.1-2ubuntu3) plucky; urgency=medium

  * No-change rebuild for libassuan.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 14 Mar 2025 22:53:26 -0500

pinentry (1.3.1-2ubuntu2) plucky; urgency=medium

  * Re-add missing exclamation point.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 11 Feb 2025 16:12:24 -0600

pinentry (1.3.1-2ubuntu1) plucky; urgency=medium

  * Merge from Debian Unstable. Remaining changes:
    - Don't build the Qt-based pinentry on i386.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 11 Feb 2025 15:50:08 -0600

pinentry (1.3.1-2) unstable; urgency=low

  * Add b-d on libkf6guiaddons-dev for qt capslock warning. Stop marking
    libkf6windowsystem-dev [linux-any] since it is available on linux-archs,
    too. (Thanks, Pino Toscano!)
  * Cleanup debian/rules: Explicitly disable QT5 build, drop unused QT_SELECT.
    QT_SELECT is irrelevant for Qt >= 6.
  * Upload to unstable

 -- Andreas Metzler <ametzler@debian.org>  Tue, 31 Dec 2024 16:39:53 +0100

pinentry (1.3.1-1) experimental; urgency=low

  * "New" upstream version.
  * Unfuzz patches.
  * pinentry-qt is now QT6 based, update b-d.
  * Run wrap-and-sort -ast.
  * Ship desktop file and icon in pinentry-qt.
  * Update copyright info for 1.3.1.
  * Add b-d on libkf6windowsystem-dev for wayland window parenting.
    Marked [linux-any] since wayland is. MR !3

 -- Andreas Metzler <ametzler@debian.org>  Wed, 25 Dec 2024 07:53:15 +0100

pinentry (1.2.1-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)
    * Build-Depends: Drop versioned constraint on libassuan-dev,
      libglib2.0-dev, libgpg-error-dev and libgtk2.0-dev.
    Changes-By: deb-scrub-obsolete

  [ Andreas Metzler ]
  * [lintian] B-D on pkgconf instead of pkg-config.
  * Bump Standards-Version

 -- Andreas Metzler <ametzler@debian.org>  Tue, 24 Dec 2024 15:56:18 +0100
