=== debian/control ===
--- 
+++ 
@@ -8,22 +8,21 @@
  Andreas Metzler <ametzler@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- libassuan-dev (>= 2.1.0),
+ libassuan-dev,
  libfltk1.3-dev <!pkg.pinentry.onlytty>,
  libgcr-3-dev <!pkg.pinentry.onlytty>,
- libglib2.0-dev (>= 2.15.5) <!pkg.pinentry.onlytty>,
- libgpg-error-dev (>= 1.16),
- libgtk2.0-dev (>= 2.4.0) <!pkg.pinentry.onlytty>,
+ libglib2.0-dev <!pkg.pinentry.onlytty>,
+ libgpg-error-dev,
+ libgtk2.0-dev <!pkg.pinentry.onlytty>,
  libkf6guiaddons-dev [!i386] <!pkg.pinentry.onlytty>,
  libkf6windowsystem-dev [!i386] <!pkg.pinentry.onlytty>,
  libncurses-dev <!pkg.pinentry.onlytty>,
  libsecret-1-dev <!pkg.pinentry.onlytty>,
  m4,
  pkgconf,
- qt6-base-dev (>= 6.4.0) [!i386] <!pkg.pinentry.onlytty>,
- qt6-wayland-dev (>= 6.4.0) [!i386] <!pkg.pinentry.onlytty>,
+ qt6-base-dev [!i386] <!pkg.pinentry.onlytty>,
  texinfo,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://www.gnupg.org/related_software/pinentry/
 Vcs-Git: https://salsa.debian.org/debian/pinentry.git
 Vcs-Browser: https://salsa.debian.org/debian/pinentry
