=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,5 @@
 #!/usr/bin/make -f
 
-QT_SELECT = qt6
-export QT_SELECT
 SHARED_CONFIGS = --disable-rpath --without-libcap --disable-pinentry-emacs --disable-inside-emacs --disable-pinentry-tqt --disable-pinentry-efl
 export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
