=== debian/tests/control ===
Tests:
 simple-tty,
Depends:
 pinentry-tty,
 python3,
